import request from '@/utils/request'

// 查询环境监测点位信息列表
export function listPoint(query) {
  return request({
    url: '/system/enviPoint/list',
    method: 'get',
    params: query
  })
}

// 查询环境监测点位信息详细
export function getPoint(id) {
  return request({
    url: '/system/enviPoint/' + id,
    method: 'get'
  })
}

// 新增环境监测点位信息
export function addPoint(data) {
  return request({
    url: '/system/enviPoint',
    method: 'post',
    data: data
  })
}

// 修改环境监测点位信息
export function updatePoint(data) {
  return request({
    url: '/system/enviPoint',
    method: 'put',
    data: data
  })
}

// 删除环境监测点位信息
export function delPoint(id) {
  return request({
    url: '/system/enviPoint/' + id,
    method: 'delete'
  })
}
